Intrusion Prevention

Mozilla.Firefox.DOMNodeRemoved.Memory.Corruption

Description

This indicates a possible exploit of a denial of service vulnerability in Mozilla Firefox and Thunderbird.
This vulnerability is triggered by document structure changes during a DOMNodeRemoved event.

Affected Products

Firefox versions prior to 1.5.0.4
Thunderbird versions prior to 1.5.0.4
SeaMonkey versions prior to 1.0.2

Impact

Denial of service.

Recommended Actions

Upgrade to Firefox 1.5.0.4, Thunderbird 1.5.0.4, and SeaMonkey 1.0.2 :
http://www.mozilla.org/products/

CVE References

CVE-2006-2779